/*
 *
 *  bowei_duan create at 2021/5/20 下午4:39
 *
 */

package com.securitycontrol.auth.pojo;

import java.util.List;

/**
 * @author HeiZi
 */
public class IscUser extends LoginUser {


    private String loginType;
    private String weChatId;
    /**
     * 加密后的userId
     */
    private String smUserId;
    private String tel ;
    private String email;
    private String token;
    private String authKey ;
    private String wechatOrgId;

    private WechatUser wechatUser ;
    private List<UserLabel> labels ;
    private long time ;

    public String getSmUserId() {
        return smUserId;
    }

    public void setSmUserId(String smUserId) {
        this.smUserId = smUserId;
    }

    public String getLoginType() {
        return loginType;
    }

    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    public String getWeChatId() {
        return weChatId;
    }

    public void setWeChatId(String weChatId) {
        this.weChatId = weChatId;
    }

    public WechatUser getWechatUser() {
        return wechatUser;
    }

    public void setWechatUser(WechatUser wechatUser) {
        this.wechatUser = wechatUser;
    }
    public String getWechatOrgId() {
        return wechatOrgId;
    }
    public void setWechatOrgId(String wechatOrgId) {
        this.wechatOrgId = wechatOrgId;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getAuthKey() {
        return authKey;
    }

    public void setAuthKey(String authKey) {
        this.authKey = authKey;
    }

    public List<UserLabel> getLabels() {
        return labels;
    }

    public void setLabels(List<UserLabel> labels) {
        this.labels = labels;
    }

    public long getTime() {
        return time;
    }

    public void setTime(long time) {
        this.time = time;
    }
}
